import { Classes } from '@blueprintjs/core'
import {
  makeVar,
  useLocalStorageReactiveVar,
} from '@inject/graphql/client/reactive'

const KEY = 'dark'
const darkReactiveVar = makeVar<boolean | null>(null)

const useColorMode = () =>
  useLocalStorageReactiveVar(darkReactiveVar, KEY, {
    onChange: value => {
      const dark =
        value === null
          ? window.matchMedia('(prefers-color-scheme: dark)').matches
          : value

      if (dark) {
        document.body.classList.add(Classes.DARK)
      } else {
        document.body.classList.remove(Classes.DARK)
      }
    },
  })

export default useColorMode
