import { useLocalStorageState } from 'ahooks'

export interface EditorConfig {
  checked?: boolean[]
  name?: string
  description?: string
  trainee?: string
}

const useEditorStorage = () =>
  useLocalStorageState<EditorConfig>('editor-config', {
    defaultValue: {},
    serializer: value => JSON.stringify(value),
    deserializer: localValue => JSON.parse(localValue) as EditorConfig,
  })

export default useEditorStorage
