import EditorPage from '@/editor/EditorPage'
import ExerciseInformationForm from '@/editor/ExerciseInformationForm'
import { memo, useState } from 'react'

const ExerciseInformationPage = () => {
  const [nextDisabled, setNextDisabled] = useState(false)

  return (
    <EditorPage
      title='Exercise essentials'
      description='Description.'
      prevPath='/editor/create/introduction'
      nextPath='/editor/create/learning-objectives'
      nextDisabled={nextDisabled}
    >
      <ExerciseInformationForm
        onInputChange={(name: string, description: string, trainee: string) =>
          setNextDisabled(!name || !description || !trainee)
        }
      />
    </EditorPage>
  )
}

export default memo(ExerciseInformationPage)
