import InjectLogo from '@/assets/inject-logo--vertical-black.svg?react'
import { useNavigate } from '@/router'
import { useSetPageTitle } from '@/utils'
import { Button } from '@blueprintjs/core'
import { css } from '@emotion/css'
import Container from '@inject/shared/components/Container'

const introduction = css`
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: 1rem;
  margin: 0 auto;
  max-width: 200px;
  width: 100%;
`

const EditorIndexPage = () => {
  useSetPageTitle('Editor')
  const nav = useNavigate()

  return (
    <Container makeFullHeight>
      <InjectLogo
        style={{
          width: '100%',
          height: '200px',
          margin: 'auto',
        }}
      />
      <div className={introduction}>
        <h1>Editor</h1>
        <p>Placeholder.</p>
        <Button
          type='button'
          intent='primary'
          icon='plus'
          onClick={() => nav('/editor/create/introduction')}
        >
          Create
        </Button>
      </div>
    </Container>
  )
}

export default EditorIndexPage
