import { makeVar, useReactiveVar } from '@inject/graphql/client/reactive'

const key = 'ws'
const initialSettings: string | null = sessionStorage.getItem(key)

export const ws = makeVar(initialSettings)
export const useWs = () => useReactiveVar(ws)

function change(value: typeof initialSettings) {
  if (value) sessionStorage.setItem(key, value)
  else sessionStorage.removeItem(key)
}

ws.onNextChange(function onNext() {
  change(ws())
  ws.onNextChange(onNext)
})
